Get Professional By ID
Retrieve a professional's demographic details.
Get a professional using the professionalId as the unique identifier.
Authorization
apiKey clientId In: header
In: header
Path Parameters
Unique identifier for the professional.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/professionals/628fc8e2-ee7e-4779-9eb7-d980e7a92f3a"{
"id": "628fc8e2-ee7e-4779-9eb7-d980e7a92f3a",
"externalId": "T-100",
"name": {
"prefix": "Dr.",
"first": "string",
"middle": "string",
"last": "string",
"suffix": "string"
},
"alias": {
"prefix": "Dr.",
"first": "string",
"middle": "string",
"last": "string",
"suffix": "string"
},
"dob": "19770428",
"ssn": "000482915",
"npi": "1739204857",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "st",
"zip": "strin"
},
"email": "user@example.com",
"customProperties": {
"property1": "string",
"property2": "string"
}
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 429,
"detail": "string",
"code": "f5d62b05-370e-48be-a755-8675ca146431"
}{
"status": 500,
"detail": "string",
"code": "unexpected_error"
}Get Professionals GET
Retrieves a paginated list of professionals.
Update Professional PATCH
Update information belonging to a professional that has already been created in the Propelus system. Partial updates to a professional, identified by `professionalId`, following JSON Merge Patch (RFC 7396) semantics. Fields omitted from the request body are left unchanged. Fields set to `null` are cleared (except `externalId` and `name`, which cannot be cleared). Use this endpoint to update any subset of a professional's attributes.